# example top-level script in ImageJ

from clients.imagej.zstack_to_ilastik import get_object_map

from ij import IJ

CHANNEL_TO_ILASTIK = 1 # i.e. index of color channel from confocal stack
CHANNEL_CHLOROPHYL = 4
OBJECT_CLASS_FOR_PHOTOACTIVATION = 1
CHLOROPHYL_THRESHOLD = 0.000 # minimum percent of ROI that should contain chlorophyl
ILASTIK_PATH = "C:/Program Files/ilastik-1.4.0/ilastik.exe"
PIXEL_CLASSIFIER_PATH = "D:/DATA/TREC_STOP_15_Kristineberg/Vincent/230805_automic_AI_PA/ilastik/pix.ilp"
OBJECT_CLASSIFIER_PATH = "D:/DATA/TREC_STOP_15_Kristineberg/Vincent/230805_automic_AI_PA/ilastik/obj.ilp"
DEBUG = True

HOST = '127.0.0.1'
PORT = 8001
uri = 'http://{}:{}/'.format(HOST, PORT)

abspath = IJ.getImage().getProp('Location')
input_filename = os.path.split(abspath)[-1]

channel = 0
pixel_classifier = 'demo_px.ilp'
object_classifier = 'demo_ob.ilp'
outpath = 'C:\\Users\\rhodes\\projects\\proj0015-model-server\\resources\\testdata'


get_object_map(...)

# pipeline: remove any existing overlay
IJ.run("Remove Overlay")

imp_czi = IJ.getImage()
czi_fn = imp_czi.getTitle()
czi_desc = czi_fn.split('.')[0]
imp_czi.setDisplayMode(IJ.GRAYSCALE)
IJ.run("Make Subset...", "channels=" + CHANNEL_TO_ILASTIK)
imp_to_ilastik = IJ.getImage()
